> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Customer Details

> Verify Meter Numbers, SmartCard IDs, or Phone Numbers before payment.



## OpenAPI

````yaml /openapi.json post /api/v1/bills/validation/customer
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/bills/validation/customer:
    post:
      tags:
        - Bills Validation
      summary: Validate Customer Details
      description: Verify Meter Numbers, SmartCard IDs, or Phone Numbers before payment.
      operationId: BillValidationController_validate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateBillDto'
      responses:
        '200':
          description: Validation successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseDto'
        '400':
          description: Invalid customer identifier.
      security:
        - bearer: []
        - api-key: []
components:
  schemas:
    ValidateBillDto:
      type: object
      properties:
        customer:
          type: string
        billerCode:
          type: string
        itemCode:
          type: string
      required:
        - customer
        - billerCode
        - itemCode
    ResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          type: object
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-KEY

````